From: Icenowy Zheng <icenowy@aosc.io>
Date: Thu, 18 Mar 2021 20:22:05 +0800
Subject: arm64: dts: sun50i-a64-pinephone: Add AF8133J to PinePhone

New batches of PinePhones switched the magnetometer to AF8133J from
LIS3MDL because lack of ST components.

Add this magnetometer to the device tree. These two sensors do not
conflict with each other, and the non-existent sensor's driver won't
just get probed properly.

Signed-off-by: Icenowy Zheng <icenowy@aosc.io>
Required-For: PinePhone
---
 .../boot/dts/allwinner/sun50i-a64-pinephone.dtsi   | 27 ++++++++++++++--------
 1 file changed, 18 insertions(+), 9 deletions(-)

diff --git a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
index 17bf2c1..d4dd37c 100644
--- a/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
+++ b/arch/arm64/boot/dts/allwinner/sun50i-a64-pinephone.dtsi
@@ -294,15 +294,6 @@ hdmi_out_con: endpoint {
 
 &sound_hdmi {
 	status = "okay";
-
-	keyboard@15 {
-		compatible = "pine64,kb151";
-		reg = <0x15>;
-		interrupt-parent = <&r_pio>;
-		interrupts = <0 12 IRQ_TYPE_EDGE_FALLING>; /* PL12 */
-		vbat-supply = <&reg_usb_5v>;
-		wakeup-source;
-	};
 };
 
 &i2c_csi {
@@ -415,6 +406,15 @@ &i2c1 {
 	status = "okay";
 	clock-frequency = <400000>;
 
+	/* Alternative magnetometer */
+	af8133j: magnetometer@1c {
+		compatible = "voltafield,af8133j";
+		reg = <0x1c>;
+		reset-gpios = <&pio 1 1 GPIO_ACTIVE_LOW>;
+		avdd-supply = <&reg_dldo1>;
+		dvdd-supply = <&reg_dldo1>;
+	};
+
 	/* Magnetometer */
 	lis3mdl: magnetometer@1e {
 		compatible = "st,lis3mdl-magn";
@@ -448,6 +448,15 @@ accelerometer@68 {
 /* Connected to pogo pins (external spring based pinheader for user addons) */
 &i2c2 {
 	status = "okay";
+
+	keyboard@15 {
+		compatible = "pine64,kb151";
+		reg = <0x15>;
+		interrupt-parent = <&r_pio>;
+		interrupts = <0 12 IRQ_TYPE_EDGE_FALLING>; /* PL12 */
+		vbat-supply = <&reg_usb_5v>;
+		wakeup-source;
+	};
 };
 
 &i2s2 {
